# UnterTabMitController (1_graphentester)

Package control

## Class UnterTabMitController

- java.lang.Object
- - javafx.scene.control.Tab
  - - control.TabMitController
    - - control.UnterTabMitController

All Implemented Interfaces:
  `javafx.css.Styleable`, `javafx.event.EventTarget`

    public class UnterTabMitController
    extends TabMitController

Die Klasse UnterTabMitController stellt einen Tab inclusive ihres Controllers zur händischen Erforschung eines Algorithmus. Es wird immer ein einzelner Knoten oder eine Kante fokussiert.

Version:
  v6.7 (9.12.2020)
Author:
  Thomas Schaller

### Field Summary

Fields
`(package private) javafx.scene.control.Button` `bAnfang`
`(package private) javafx.scene.control.Button` `bEnde`
`(package private) javafx.scene.control.Button` `bGehezu`
`(package private) javafx.scene.control.Button` `bSortieren`
`(package private) javafx.scene.control.Button` `bStatus`

### Fields inherited from class control.TabMitController

`graph, options, viewer`

### Fields inherited from class javafx.scene.control.Tab

`CLOSED_EVENT, SELECTION_CHANGED_EVENT, TAB_CLOSE_REQUEST_EVENT`

### Constructor Summary

Constructors
`UnterTabMitController​(Graph graph, GraphOptions options)`

### Method Summary

All Methods Instance Methods Concrete Methods
`(package private) void` `bAnfang​(javafx.event.ActionEvent event)`
`(package private) void` `bBesucht​(javafx.event.ActionEvent event)`
`(package private) void` `bEnde​(javafx.event.ActionEvent event)`
`(package private) void` `bGeheZu​(javafx.event.ActionEvent event)`
`(package private) void` `bHinzufuegenAnfang​(javafx.event.ActionEvent event)`
`(package private) void` `bHinzufuegenEnde​(javafx.event.ActionEvent event)`
`(package private) void` `bLoeschenAusListe​(javafx.event.ActionEvent event)`
`(package private) void` `bMarkieren​(javafx.event.ActionEvent event)`
`(package private) void` `bNaechster​(javafx.event.ActionEvent event)`
`(package private) void` `bSort​(javafx.event.ActionEvent event)`
`(package private) void` `bStatusRestore​(javafx.event.ActionEvent event)`
`(package private) void` `bStatusSave​(javafx.event.ActionEvent event)`
`void` `buildAuswahl()`
`(package private) void` `bVoheriger​(javafx.event.ActionEvent event)`
`(package private) void` `bWertAendern​(javafx.event.ActionEvent event)`
`(package private) void` `graphClicked​(javafx.scene.input.MouseEvent event)`
`void` `initialize()`
`(package private) void` `knotenFarbe​(javafx.scene.input.MouseEvent event)`
`(package private) void` `mBeenden​(javafx.event.ActionEvent event)`
`(package private) void` `mBesucheKnoten​(javafx.event.ActionEvent event)`
`(package private) void` `mBesuchtLoeschen​(javafx.event.ActionEvent event)`
`(package private) void` `mFaerbeKnoten​(javafx.event.ActionEvent event)`
`(package private) void` `mMarkiereKnoten​(javafx.event.ActionEvent event)`
`(package private) void` `mMarkierungenLoeschen​(javafx.event.ActionEvent event)`
`(package private) void` `mOeffnen​(javafx.event.ActionEvent event)`
`(package private) void` `mSchliessen​(javafx.event.ActionEvent event)`
`(package private) void` `mSpeichern​(javafx.event.ActionEvent event)`
`(package private) void` `mUeber​(javafx.event.ActionEvent event)`
`(package private) void` `mWertSetzen​(javafx.event.ActionEvent event)`
`(package private) void` `mZurueck​(javafx.event.ActionEvent event)`
`void` `setAuswahl​(List<GraphElement> auswahl)`
`void` `setGraph​(Graph graph, GraphOptions options)`
`void` `update()`
`void` `updateInfofeld()`

### Methods inherited from class control.TabMitController

`getGraphOptions, getViewer, tabOeffnen`

### Methods inherited from class javafx.scene.control.Tab

`buildEventDispatchChain, closableProperty, contentProperty, contextMenuProperty, disabledProperty, disableProperty, getClassCssMetaData, getContent, getContextMenu, getCssMetaData, getGraphic, getId, getOnClosed, getOnCloseRequest, getOnSelectionChanged, getProperties, getPseudoClassStates, getStyle, getStyleableParent, getStyleClass, getTabPane, getText, getTooltip, getTypeSelector, getUserData, graphicProperty, hasProperties, idProperty, isClosable, isDisable, isDisabled, isSelected, onClosedProperty, onCloseRequestProperty, onSelectionChangedProperty, selectedProperty, setClosable, setContent, setContextMenu, setDisable, setGraphic, setId, setOnClosed, setOnCloseRequest, setOnSelectionChanged, setStyle, setText, setTooltip, setUserData, styleProperty, tabPaneProperty, textProperty, tooltipProperty`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javafx.css.Styleable

`getStyleableNode`

### Field Detail

#### bStatus

    javafx.scene.control.Button bStatus

#### bGehezu

    javafx.scene.control.Button bGehezu

#### bAnfang

    javafx.scene.control.Button bAnfang

#### bEnde

    javafx.scene.control.Button bEnde

#### bSortieren

    javafx.scene.control.Button bSortieren

### Constructor Detail

#### UnterTabMitController

    public UnterTabMitController​(Graph graph,
                                 GraphOptions options)

### Method Detail

#### initialize

    public void initialize()

Overrides:
  `initialize` in class `TabMitController`

#### setGraph

    public void setGraph​(Graph graph,
                         GraphOptions options)

Overrides:
  `setGraph` in class `TabMitController`

#### buildAuswahl

    public void buildAuswahl()

#### update

    public void update()

Overrides:
  `update` in class `TabMitController`

#### setAuswahl

    public void setAuswahl​(List<GraphElement> auswahl)

#### bAnfang

    void bAnfang​(javafx.event.ActionEvent event)

#### bBesucht

    void bBesucht​(javafx.event.ActionEvent event)

#### bEnde

    void bEnde​(javafx.event.ActionEvent event)

#### knotenFarbe

    void knotenFarbe​(javafx.scene.input.MouseEvent event)

#### bMarkieren

    void bMarkieren​(javafx.event.ActionEvent event)

#### updateInfofeld

    public void updateInfofeld()

#### graphClicked

    void graphClicked​(javafx.scene.input.MouseEvent event)

#### bHinzufuegenAnfang

    void bHinzufuegenAnfang​(javafx.event.ActionEvent event)

#### bHinzufuegenEnde

    void bHinzufuegenEnde​(javafx.event.ActionEvent event)

#### bLoeschenAusListe

    void bLoeschenAusListe​(javafx.event.ActionEvent event)

#### bNaechster

    void bNaechster​(javafx.event.ActionEvent event)

#### bSort

    void bSort​(javafx.event.ActionEvent event)

#### bVoheriger

    void bVoheriger​(javafx.event.ActionEvent event)

#### bWertAendern

    void bWertAendern​(javafx.event.ActionEvent event)

#### bGeheZu

    void bGeheZu​(javafx.event.ActionEvent event)

#### mBeenden

    void mBeenden​(javafx.event.ActionEvent event)

#### mBesucheKnoten

    void mBesucheKnoten​(javafx.event.ActionEvent event)

#### mBesuchtLoeschen

    void mBesuchtLoeschen​(javafx.event.ActionEvent event)

#### mFaerbeKnoten

    void mFaerbeKnoten​(javafx.event.ActionEvent event)

#### mMarkiereKnoten

    void mMarkiereKnoten​(javafx.event.ActionEvent event)

#### mMarkierungenLoeschen

    void mMarkierungenLoeschen​(javafx.event.ActionEvent event)

#### mOeffnen

    void mOeffnen​(javafx.event.ActionEvent event)

#### mSchliessen

    void mSchliessen​(javafx.event.ActionEvent event)

#### mSpeichern

    void mSpeichern​(javafx.event.ActionEvent event)

#### mUeber

    void mUeber​(javafx.event.ActionEvent event)

#### mWertSetzen

    void mWertSetzen​(javafx.event.ActionEvent event)

#### mZurueck

    void mZurueck​(javafx.event.ActionEvent event)

#### bStatusRestore

    void bStatusRestore​(javafx.event.ActionEvent event)

#### bStatusSave

    void bStatusSave​(javafx.event.ActionEvent event)